import { BaseDto } from '../db/DBAccess';

export class MessageDto implements BaseDto {
    id: string;
    to: string;
    payload: string;
    timestamp: Date;

    static get dbName() {
        return 'delivery';
    }

    constructor(id: string, to: string, payload: string) {
        this.id = id;
        this.to = to;
        this.payload = payload;
        this.timestamp = new Date();
    }
}